clear
capture log close

*************
** Generic **
*************

*log using "output.txt", text replace
*insheet using "~path/dataAll_UTD_update_Fall2022.csv", comma"

**************************
****** For Running *******
** Delete After Running **
**************************

log using "output.txt", text replace
insheet using "dataAll_UTD_update_Fall2022.csv", comma

****************
** Start Code **
** UT Dallas ***
****************

destring f p q pricea, replace 

gen acceptCode = 1
replace acceptCode = 0 if accept =="Reject"
gen totProfit = rprofit+sprofit
gen efficiency = totProfit/16
gen RetailPrice = p
gen retailPrice = 10-q
egen SubjectID = group(tpt cohort participant)

*************************
label define tpt 0 "Quantity Discount" 1 "Two-part Tariff"
label values tpt tpt

*********************************************************************************
** Taking Data only for Player A (it is the same if we just take for Player B) **
*********************************************************************************
preserve
replace effic = 100*effic
ttest efficiency if myname == "Player A", by(tpt)
ttest w if myname == "Player A", by(tpt)
ttest f if myname == "Player A", by(tpt)
prtest acceptCode if myname == "Player A", by(tpt)

** Conditional Efficiency **
ttest efficiency if acceptCode == 1 & myname == "Player A", by(tpt)
ttest retailPrice  if myname == "Player A" & acceptCode == 1, by(tpt)
*ttest sShare if myname == "Player A" & acceptCode == 1, by(tpt)
restore


****************
** Start Code **
*** Michigan ***
****************

clear

*************
** Generic **
*************

*log using "output.txt", text replace
*insheet using "~path/dataAll_UM.csv", comma"

**************************
****** For Running *******
** Delete After Running **
**************************

insheet using "dataAll_UM.csv", comma


drop cohort
egen cohort = group(Date)

destring f p q pricea, replace 

gen acceptCode = 1
replace acceptCode = 0 if accept =="Reject"
gen totProfit = rprofit+sprofit
gen efficiency = totProfit/16
gen RetailPrice = p
gen retailPrice = 10-q
egen SubjectID = group(tpt cohort participant)

*************************
label define tpt 0 "Quantity Discount" 1 "Two-part Tariff"
label values tpt tpt

*********************************************************************************
** Taking Data only for Player A (it is the same if we just take for Player B) **
*********************************************************************************
preserve
replace effic = 100*effic
ttest efficiency if myname == "Player A", by(tpt)
ttest w if myname == "Player A", by(tpt)
ttest f if myname == "Player A", by(tpt)
prtest acceptCode if myname == "Player A", by(tpt)

** Conditional Efficiency **
ttest efficiency if acceptCode == 1 & myname == "Player A", by(tpt)
ttest retailPrice  if myname == "Player A" & acceptCode == 1, by(tpt)
restore
