clear
capture log close
log using "/Users/hyndmank/Dropbox/MS Replication Stuff/MS Replication Project/Katok-Hyndman/Ho-2008/ReplicationAnalysis/output_extra.txt", text replace
insheet using "/Users/hyndmank/Dropbox/MS Replication Stuff/MS Replication Project/Katok-Hyndman/Ho-2008/ReplicationAnalysis/dataAll_UTD_update_Fall2022.csv", comma

gen UTD = 1

replace p = "" if p == "N/A" | p == "NA" | p == "n/a"
destring f p q pricea, replace

save "/Users/hyndmank/Dropbox/MS Replication Stuff/MS Replication Project/Katok-Hyndman/Ho-2008/ReplicationAnalysis/dataAll_UTD_update_Fall2022.dta", replace

clear

insheet using "/Users/hyndmank/Dropbox/MS Replication Stuff/MS Replication Project/Katok-Hyndman/Ho-2008/ReplicationAnalysis/dataAll_UM.csv", comma

drop cohort
egen cohort = group(Date)


destring f p q pricea, replace 

gen UTD = 0
save "/Users/hyndmank/Dropbox/MS Replication Stuff/MS Replication Project/Katok-Hyndman/Ho-2008/ReplicationAnalysis/dataAll_UM.dta", replace

clear
use "/Users/hyndmank/Dropbox/MS Replication Stuff/MS Replication Project/Katok-Hyndman/Ho-2008/ReplicationAnalysis/dataAll_UTD_update_Fall2022.dta"

append using "/Users/hyndmank/Dropbox/MS Replication Stuff/MS Replication Project/Katok-Hyndman/Ho-2008/ReplicationAnalysis/dataAll_UM.dta"


gen acceptCode = 1
replace acceptCode = 0 if accept =="Reject"
gen totProfit = rprofit+sprofit
gen efficiency = totProfit/16
gen RetailPrice = p
gen retailPrice = 10-q
egen SubjectID = group(UTD tpt cohort participant)

*************************
label define tpt 0 "Quantity Discount" 1 "Two-part Tariff"
label values tpt tpt

gen tProfit = rprofit + sprofit
gen sShare = sprofit/tProfit

gen Wave = 2 if UTD == 0
replace Wave = 1 if UTD == 1 & cohort <= 2
replace Wave = 2 if UTD == 1 & (cohort > 2 & cohort < 9)
replace Wave = 2 if UTD == 1 & cohort >= 9


*********************************************************************************
** Taking Data only for Player A (it is the same if we just take for Player B) **
*********************************************************************************
preserve
keep if Wave >= 2
replace effic = 100*effic
ttest efficiency if myname == "Player A", by(tpt)
ttest w if myname == "Player A", by(tpt)
ttest f if myname == "Player A", by(tpt)
prtest acceptCode if myname == "Player A", by(tpt)

** Conditional Efficiency **
ttest efficiency if acceptCode == 1 & myname == "Player A", by(tpt)
ttest retailPrice  if myname == "Player A" & acceptCode == 1, by(tpt)
restore

